<?php
	$session = $this->getSession();
	$registry = $this->getRegistry();

	// appel fichier internalisation
	$i18n = $this->getRegistry()->get('i18n');
	$filter_html = new Yab_Filter_Html();
	$filter_no_html = new Yab_Filter_NoHtml();

	$pager = new Yab_Helper_Pager($oa_participants, 'pager_oa_participants');
	$indexLine = 0;
?>

<table class="table table-striped table-bordered table-hover table-condensed table-responsive table-panel">
    <thead>
    <tr>
        <th class="col-<?php echo $form_participation->getElement('intervenant_id')->get('id'); ?>"
            champs="<?php echo $form_participation->getElement('intervenant_id')->get('id'); ?>">
            <?php echo $filter_html->filter( $i18n -> say('intervenant_id')) ; ?>
        </th>
        <th class="col-<?php echo $form_participation->getElement('debut')->get('id'); ?>"
            champs="<?php echo $form_participation->getElement('debut')->get('id'); ?>">
            <?php echo $filter_no_html->filter( $i18n -> say('debut')) ; ?>
        </th>
        <th class="col-<?php echo $form_participation->getElement('fin')->get('id'); ?>"
            champs="<?php echo $form_participation->getElement('fin')->get('id'); ?>">
            <?php echo $filter_html->filter( $i18n -> say('fin')) ; ?>
        </th>
        <th class="col-<?php echo $form_participation->getElement('role_id')->get('id'); ?>"
            champs="<?php echo $form_participation->getElement('role_id')->get('id'); ?>">
            <?php echo $filter_no_html->filter( $i18n -> say('role_id')) ; ?>
        </th>

        <?php if ($v_action) { ?>
        <th class="col-action">
            <?php echo $filter_html->filter( $i18n -> say('action')) ; ?>
        </th>
        <?php } ?>
    </tr>
    </thead>
    <tbody>
        <?php
            foreach($oa_participants as $oa_participant):
				$oa_participant->set('format','%d/%m/%Y');
                $intervenant_id = $oa_participant->get('intervenant_id');
                $debut = $oa_participant->get('debut');
                $fin = $oa_participant->get('fin');
                $role_id = $oa_participant->get('role_id');
        ?>
        <tr class="table-relation-row">
            <td class="table-row-data">
                <a href="<?php echo $this->getRequest('Intervenant', 'show', array($intervenant_id)); ?>" target="_blank">
                    <?php echo $oa_participant->get('intervenant_nom_prenom', $filter_html); ?>
                </a>
            </td>
            <td class="table-row-data"><?php echo $oa_participant->get('debut', 'Date'); ?></td>
            <td class="table-row-data"><?php echo $oa_participant->get('fin', 'Date'); ?></td>
            <td class="table-row-data"><?php echo $oa_participant->get('role', $filter_html); ?></td>
            <?php if ($v_action) { ?>
                <td><a href="#" class="del-row-button"><span class="glyphicon glyphicon-remove-circle danger" style="font-size: 18px;" alt="Supprimer" title="Supprimer"></span></a></td>
            <?php } ?>
            <input type="hidden" champs="<?php echo $form_participation->getElement('intervenant_id')->get('id') ?>" value="<?php echo $oa_participant->get('intervenant_id' )?>" />
            <input type="hidden" champs="<?php echo $form_participation->getElement('oa_id')->get('id') ?>" value="<?php echo $oa_participant->get('oa_id' )?>" />
            <input type="hidden" champs="<?php echo $form_participation->getElement('debut')->get('id') ?>" value="<?php echo $oa_participant->get('debut', 'Date' )?>" />
            <input type="hidden" champs="<?php echo $form_participation->getElement('fin')->get('id') ?>" value="<?php echo $oa_participant->get('fin', 'Date' )?>" />
            <input type="hidden" champs="<?php echo $form_participation->getElement('role_id')->get('id') ?>" value="<?php echo $oa_participant->get('role_id' )?>" />
            <?php $indexLine = $indexLine+1; ?>
        </tr>
        <?php endforeach; ?>
    </tbody>
</table>